program pioneer; { Ansteuerung einer Pioneer-Analge ber den SR-Bus }

uses image,usendsr,crt;

var a:string;

procedure out(a:string);
begin
  textcolor(white);writeln(a);textcolor(lightgray);write('-> ');
end;

procedure init;
begin
  port[$378]:=2;
  clrscr;
  move(main,PTR($B800,0)^,4000);
  window(15,20,66,22);textbackground(black);textcolor(lightgray);clrscr;
  out('Pioneer-Command-Center ready.');
end;

procedure deinit;
begin
  window(1,1,80,25);clrscr;
  writeln('Danke fr die Benutzung des Pioneer-Control-Centers');
  writeln;
end;

procedure parse(a:string);
var kenn,bef,teil1,teil2:string;i,ii:integer;
begin
  teil1:=a;
  delete(teil1,pos(' ',teil1),length(teil1)-pos(' ',teil1)+1);
  for i:=1 to length(teil1) do teil1[i]:=upcase(teil1[i]);
  teil2:=a;
  delete(teil2,1,pos(' ',teil2));
  for i:=1 to length(teil2) do teil2[i]:=upcase(teil2[i]);

  if teil1='PAUSE' then
  begin
    val(teil2,i,ii);
    korr:=i;
    teil1:='EXIT'
  end else
  if teil1='CD'   then kenn:=kenn_cd else
  if teil1='TAPE' then kenn:=kenn_tape else
  if teil1='LD'   then kenn:=kenn_ld  else
  if teil1='AMP'  then kenn:=kenn_amp else
  if teil1='TUNER'then kenn:=kenn_tuner else
  if teil1='VCR'  then kenn:=kenn_vcr else
  if length(teil1)=2 then kenn:=teil1 else
  teil1:='UNG';

  if teil2='POWER' then bef:=bef_power else
  if teil2='0' then bef:=bef_0 else
  if teil2='1' then bef:=bef_1 else
  if teil2='2' then bef:=bef_2 else
  if teil2='3' then bef:=bef_3 else
  if teil2='4' then bef:=bef_4 else
  if teil2='5' then bef:=bef_5 else
  if teil2='6' then bef:=bef_6 else
  if teil2='7' then bef:=bef_7 else
  if teil2='8' then bef:=bef_8 else
  if teil2='9' then bef:=bef_9 else
  if teil2='+' then bef:=bef_levelup  else
  if teil2='-' then bef:=bef_leveldown else
  if teil2='FFWD' then bef:=bef_ffwd   else
  if teil2='RWD' then bef:=bef_rwd     else
  if teil2='STOP' then bef:=bef_stop   else
  if teil2='PLAY' then bef:=bef_play   else
  if teil2='PAUSE' then bef:=bef_pause  else
  if teil2='REC' then bef:=bef_rec     else
  if teil2='EJECT' then bef:=bef_eject else
  if teil2='PGM' then bef:=bef_pgm  else
  if length(teil2)=2 then bef:=teil2 else
  teil1:='UNG';

  if not (teil1='UNG') then
  begin
    out('Kommando '+kenn+' '+bef+' geschickt.');
    sendsr(kenn,bef);
  end
  else out('Unbekannter Befehl.');
end;


begin
  init;
  repeat
    readln(a);if not (upcase(a[1])='Q') then parse(a);
  until upcase(a[1])='Q';
  deinit;
end.